%define major 1
%define libname %mklibname hangul %major
%define develname %mklibname -d hangul

Name:		libhangul
Summary:	A generalized and portable library for hangul
Version:	0.1.0
Release:	%mkrel 9
Group:		System/Internationalization
License:	LGPLv2+
URL:		http://code.google.com/p/libhangul/
Source0:	http://libhangul.googlecode.com/files/%name-%version.tar.gz
BuildRequires:	gettext-devel
Conflicts:	%{_lib}hangul0 < 0.0.8

%description
libhangul is a generalized and portable library for
processing hangul.

%package -n	%{libname}
Summary:	Main libhangul library
Group:		System/Internationalization
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libhangul library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d hangul 0

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%files -f %name.lang
%{_bindir}/hangul
%{_datadir}/libhangul/

%files -n %{libname}
%{_libdir}/libhangul.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/hangul-1.0/
%{_libdir}/libhangul.so
%{_libdir}/pkgconfig/libhangul.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.0-9.mga8
+ Revision: 1514150
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.0-8.mga7
+ Revision: 1298901
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.1.0-7.mga7
+ Revision: 1235688
- fix build on aarch64
- loosen lib pkg requires
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 0.1.0-6.mga6
+ Revision: 940204
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 743945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 681520
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 507068
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 357458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 fwang <fwang> 0.1.0-1.mga3
+ Revision: 260614
- update url

* Mon Oct 31 2011 fwang <fwang> 0.1.0-1.mga2
+ Revision: 160315
- new version 0.1.0

* Thu Mar 24 2011 boklm <boklm> 0.0.12-2.mga1
+ Revision: 76172
- rebuild for bug #497

* Wed Mar 16 2011 steletch <steletch> 0.0.12-1.mga1
+ Revision: 72816
- Clean spec file
- imported package libhangul


* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.0.12-1mdv2011.0
+ Revision: 634084
- New version 0.0.12

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 0.0.11-1mdv2011.0
+ Revision: 598570
- new version 0.0.11

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.0.10-1mdv2010.1
+ Revision: 460612
- fix file list
- New version 0.0.10

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.0.9-2mdv2010.0
+ Revision: 425564
- rebuild

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 0.0.9-1mdv2009.1
+ Revision: 330952
- New version 0.0.9

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.0.8-2mdv2009.0
+ Revision: 264805
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 0.0.8-1mdv2009.0
+ Revision: 196706
- New version 0.0.8
- split data files into main package

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 0.0.7-1mdv2008.1
+ Revision: 161669
- New version 0.0.7

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.0.6-2mdv2008.1
+ Revision: 150690
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 80138
- do not harcode library minor in file list
- new release


* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.4-1mdv2007.0
+ Revision: 123184
- new release (utumi)

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.0.3-1mdv2007.1
+ Revision: 87010
- Import libhangul

* Tue Nov 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.3-1mdv2007.1
- first spec for Mandriva

